%define _name gtkhtml2
%define _name2 gtkhtml2_viewer

Name: claws-mail-plugin-%_name
Version: 0.15.1
Release: alt1.1

Summary: HTML renderer plugin for Claws Mail
License: GPL
Group: Networking/Mail

Url: http://www.claws-mail.org/plugin.php?plugin=%_name

Source: http://www.claws-mail.org/downloads/plugins/%_name2-%version.tar.gz

%define claws_mail_ver 2.10.0

Requires: claws-mail >= %claws_mail_ver
Requires: claws-mail < 2.11.0

# From configure.ac, with a cheat for gettext-tools (see prep below)
BuildPreReq: gettext-tools >= 0.14
BuildPreReq: claws-mail-devel >= %claws_mail_ver
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: libgtkhtml2-devel libcurl-devel

%description
The Gtkhtml2Viewer plugin is an HTML renderer plugin for Claws Mail. It
features:

    * Basic rendering of HTML message parts
    * Displaying of attached images
    * Optional fetching and displaying of remote images
    * Remote image caching
    * The ability to Reply to the message, quoting the selected text

%prep
%setup -q -n %_name2-%version
%__subst "s,AM_GNU_GETTEXT_VERSION(\[0.15\]),AM_GNU_GETTEXT_VERSION(\[0.14\])," configure.ac

%build
#autoreconf -fisv
%configure
%make

%install
%make DESTDIR=%buildroot install

%find_lang %_name2

%files -f %_name2.lang
%_libdir/claws-mail/plugins/%_name2.so

%exclude %_libdir/*/*/*.a
%exclude %_libdir/*/*/*.la

%changelog
* Fri Sep 07 2007 Alexey Rusakov <ktirf@altlinux.org> 0.15.1-alt1.1
- rebuilt with new Claws Mail snapshot

* Wed Aug 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.15.1-alt1
- new version (0.15.1), for Claws Mail 2.10.0

* Sun May 20 2007 Alexey Rusakov <ktirf@altlinux.org> 0.15-alt2
- rebuilt with new ClawsMail (should I restrain the limitation to the minor
  version too?).

* Sat Apr 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.15-alt1
- new version (0.15)
- added limitation of claws-mail's major version to requirements.

* Sun Apr 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.14.2-alt1
- new version 0.14.2 (with rpmrb script)

* Thu Feb 08 2007 Alexey Rusakov <ktirf@altlinux.org> 0.14.1-alt1
- Initial Sisyphus version.

